Subject: Re: bug#10654: 24.0.93; isearch-yank-line moved from C-y

From: Kevin Rodgers <[email-masked]>
Date: Fri, 03 Feb 2012 10:48:29 -0700

On 1/30/12 1:19 PM, Aaron S. Hawley wrote:

> It would seem the binding for hitting C-y in Isearch to yank the rest
> of the line existed ever since Daniel LaLiberte wrote Isearch 20 years
> ago.  I guess its time has come.  This means hitting C-k C-/ C-s C-y
> rather than C-s C-y.  I can relinquish that C-y in Isearch wasn't
> consistent with global C-y in Emacs, but if word and character yanking
> are on C-w and C-M-y, respectively, it seems like line-yanking should
> be on a better binding than M-s C-e.

Or word and character yanking could be bound consistently: M-s M-f and M-s C-f

That approach would be a little less onerous if additional words or characters
could be added to the search string by additional M-f and C-f without prefixing
each with M-s.

-- 
Kevin Rodgers
Denver, Colorado, USA